GPT-5.3-Codex

Chat Completions API
gpt-5.3-codex
отOpenAIСоздана 25 февр. 2026 г.400K контекст
Chat Completions API

GPT-5.3-Codex is an OpenAI model optimized for agentic coding and long-running software engineering tasks. It is designed to inspect repositories, edit code, use development tools and verify its work across multiple steps. It accepts text and image inputs, supports structured outputs and function calling, and offers configurable reasoning effort.

API-методы и структура запроса

Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.

Chat Completions APIPOST/v1/chat/completions

Пример кода

Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.

Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  --data-raw '{
  "model": "gpt-5.3-codex",
  "messages": [
    {
      "role": "user",
      "content": "Сколько будет 2 + 2?"
    }
  ]
}'

Параметры

Параметры, доступные в API-запросах
Frequency PenaltyFunction CallFunctionsLogit BiasMax Completion TokensParallel Tool CallsPredictionPresence PenaltyReasoning EffortResponse FormatStopTool ChoiceToolsWeb Search Options